/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: matrix_type1.cpp,v 1.9 2014/01/10 19:22:09 fclement Exp $ */

#include "matrix_type1.hpp"

namespace io{

  Matrix_type1::Matrix_type1(int mm,int nn,int* &x,char _layout_):i(x){m=mm;n=nn;matrix_type1 = INT;_layout = _layout_;}
  Matrix_type1::Matrix_type1(int mm,int nn,boolean*& x,char _layout_):b(x){m=mm;n=nn;matrix_type1 = BOOLEAN;_layout = _layout_;}
  Matrix_type1::Matrix_type1(int mm,int nn,double* & x,char _layout_):d(x){
    m=mm;n=nn;

    matrix_type1 = FLOAT;
   
    _layout = _layout_;
  }
  Matrix_type1::Matrix_type1(int mm,int nn,string*& x,char _layout_):s(x){m=mm;n=nn;matrix_type1 = STRING;_layout = _layout_;}
  Matrix_type1::Matrix_type1(int mm,int nn,float_triple*& x,char _layout_):ft(x){
    m=mm;n=nn;
   
    matrix_type1 = FLOAT_TRIPLE;
   
    _layout = _layout_;
  }
  Matrix_type1::Matrix_type1(int mm,int nn,float_couple*& x,char _layout_):fc(x){
    m=mm;n=nn;
    
    matrix_type1 = FLOAT_COUPLE;
    
    _layout = _layout_;
  }
  Matrix_type1::Matrix_type1(int mm,int nn,int_triple* &x,char _layout_):it(x){m=mm;n=nn;matrix_type1 = INT_TRIPLE;_layout = _layout_;}
  Matrix_type1::Matrix_type1(int mm,int nn,int_couple* &x,char _layout_):ic(x){m=mm;n=nn;matrix_type1 = INT_COUPLE;_layout = _layout_;}
  //destructeur:
  Matrix_type1::~Matrix_type1(){}
  Single_type Matrix_type1::type() const{return matrix_type1;}
  char Matrix_type1::layout()const{return _layout;}
   
  void Matrix_type1::free(){
    switch(matrix_type1){
    case INT:
      delete[] i.data();
      break;
    case BOOLEAN:
      delete[] b.data();
      break;
    case FLOAT:
      delete[] d.data();
      break;
    case STRING:
      delete[] s.data();
      break; 
    case FLOAT_TRIPLE:
      delete[] ft.data();
      break;
    case FLOAT_COUPLE:
      delete[] fc.data();
      break;
    case INT_TRIPLE:
      delete[] it.data();
      break;
    case INT_COUPLE:
      delete[] ic.data();
      break;
    default:
      ;
    }
  }
  
}
