/***********************************************************************/
/*                                                                     */
/*                               Pio (C)                               */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2011-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Bruno Verlyck <Bruno.Verlyck@inria.fr>                             */
/*                                                                     */
/***********************************************************************/

#include "common.h"
#include "debug_io.h"

#include <stdio.h>
#include <stdlib.h>

bool pio_debug_mode = false;

#ifdef DO_DEBUG
void pio_debug (const char *fun_name, const char *msg) {
  if (pio_debug_mode)
    fprintf (stderr, "%s: %s\n", fun_name, msg);
}
#endif

void pio_fatal_error (const char *msg) {
  fprintf (stderr,  "Fatal error in PIO library, please report:\n %s\n", msg);
  abort ();
}
