(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: main.ml,v 1.3 2014/06/18 15:39:36 fclement Exp $ *)

let task_engines =
  {
   Worker.init_engine = Model.init_engine Worker.check_valid_dimension;
   grad_engine = Model.grad_engine;
   optim_engine = Model.optim_engine Worker.coarse_parameter_to_fine_parameter;
   final_engine = Model.final_engine;
  }
;;

let tasks = Worker.make_tasks task_engines;;

let main () = Worker.main_loop tasks;;

main ();;
