CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                              Ref-indic                              C
C                                                                     C
C                        Refinement indicators                        C
C                                                                     C
C               EPI Pomdapi, INRIA Paris - Rocquencourt               C
C                                                                     C
C  Copyright (c) 2013-2014 INRIA.                                     C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C     $Id: init_measures.f,v 1.5 2014/05/12 14:43:23 fclement Exp $

      subroutine init_measures(ncells, ier, emsg_length, error_msg)
      
      implicit none
      
      integer MEASURES_DATA_UNIT
      parameter(MEASURES_DATA_UNIT=15)
      
      include 'common.fh'
      
C     Input arguments.
      integer ncells
      
C     Output arguments.
      character*80 error_msg
      integer ier, emsg_length
      
C     Local variables.
      integer i, n, nt1, ncells1
      
      ier = 0
      
      open(MEASURES_DATA_UNIT,
     +     file='measures_data', status='old',
     +     access='sequential', form='formatted', iostat=ier)
      if (ier .ne. 0) then
         emsg_length = 45
         error_msg = 'Unable to open file "measures_data" for read.'
         return
      endif
      
      read(MEASURES_DATA_UNIT, *) nt1
      read(MEASURES_DATA_UNIT, *) ncells1
      if ((nt1 .ne. nt) .or. (ncells1 .ne. ncells)) then
         ier = 1
         emsg_length = 20
         error_msg = 'Wrong size measures.'
         return
      endif
      
      do n = 1, nt
         do i = 1, ncells
            read(MEASURES_DATA_UNIT,*) z(i,n)
         enddo
      enddo
      
      close(MEASURES_DATA_UNIT)
      
      return
      end
